######################################################################
# Copyright (c) 2021 Xilinx, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
######################################################################ARCH := arm64

# Adapted from
# https://github.com/Xilinx/XilinxVirtualCable/tree/master/versal/src
# on 2022-01-18

BINDIR = bin

TARGET = xvc_mem

OBJDIR := obj
OBJS := $(addprefix $(OBJDIR)/,xvc_mem.o xvcserver.o)

$(OBJDIR)/%.o : %.c
	@$(CC) $(LDFLAGS) -c $< -o $@

all: $(OBJS)
	$(CC) $(LDFLAGS) -o $(BINDIR)/$(TARGET) $(OBJS)

$(OBJS): | $(OBJDIR)

$(OBJDIR):
	@mkdir -p $(OBJDIR)
	@mkdir -p $(BINDIR)

clean: 
	@$(RM) -r $(OBJDIR)
	@$(RM) -r $(BINDIR)
